> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/appendixes/appendix-obsolete.md).

# 附錄 O. 已淘汰或改名的功能

**Table of Contents**

[O.1. `recovery.conf` 檔案已併入 `postgresql.conf`](/appendixes/appendix-obsolete/recovery-config.md)

[O.2. 預設角色已改名為預先定義角色](/appendixes/appendix-obsolete/default-roles.md)

[O.3. `pg_xlogdump` 已改名為 `pg_waldump`](/appendixes/appendix-obsolete/pgxlogdump.md)

[O.4. `pg_resetxlog` 已改名為 `pg_resetwal`](/appendixes/appendix-obsolete/app-pgresetxlog.md)

[O.5. `pg_receivexlog` 已改名為 `pg_receivewal`](/appendixes/appendix-obsolete/app-pgreceivexlog.md)

PostgreSQL 有時會移除功能、變更功能、設定或檔案的名稱，或將文件移至其他位置。本節協助使用舊版文件或外部連結的讀者，找到所需資訊目前所在的正確位置。

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/appendix-obsolete.html)（原文版本：18.6；核對日期：2026-09-06）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/appendixes/appendix-obsolete.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
